.text-with-image {

    .content-wrapper {
        @include media(md) {
            flex-direction: column;
        }

        &.image-position-right {
            flex-direction: row-reverse;

            @include media(md) {
                flex-direction: column-reverse;
            }

            .image-container {
                img {
                    float: right;
                }
            }

            .text-container {
                margin-left: 0;
                margin-right: 25px;
            }
        }

        &.image-position-left {
            .text-container {
                margin-right: 0;
                margin-left: 25px;
            }
        }

        &.image-size-small {
            .text-container {
                width: 80%;
            }

            .image-container {
                width: 20%;
            }
        }

        &.image-size-medium {
            .text-container {
                width: 65%;
            }

            .image-container {
                width: 35%;
            }
        }


        .text-container {
            width: 50%;
            align-self: center;

            @include media(md) {
                width: 90%!important;
            }

            a.btn {
                margin-top: 50px;
            }

            .text {
                ul {
                    list-style-type: disc;
                    margin-left: 40px;
            
                    li {
                        margin: 10px 0;
                    }
                }
            
                ol {
                    list-style-type: decimal;
                    margin-left: 40px;
            
                    li {
                        margin: 10px 0;
                    }
                }
            }
        }

        .image-container {
            width: 50%;

            @include media(md) {
                width: 100%!important;
            }
        }
    }
}